package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业录取情况对象 a_marjor_enroll
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public class AMarjorEnroll extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 院校 */
    @Excel(name = "院校")
    private String universityName;

    /** 专业组 */
    @Excel(name = "专业组")
    private String majorGroup;

    /** 专业 */
    @Excel(name = "专业")
    private String majorName;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String majorDirection;

    /** 录取总数 */
    @Excel(name = "录取总数")
    private Integer enrollTotal;

    /** 补录总数 */
    @Excel(name = "补录总数")
    private Integer addedTotal;

    /** 二志愿录取数 */
    @Excel(name = "二志愿录取数")
    private Integer twoTotal;

    /** 三志愿录取数 */
    @Excel(name = "三志愿录取数")
    private Integer threeTotal;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setUniversityId(Long universityId) 
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }
    public void setMajorGroup(String majorGroup) 
    {
        this.majorGroup = majorGroup;
    }

    public String getMajorGroup() 
    {
        return majorGroup;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorDirection(String majorDirection) 
    {
        this.majorDirection = majorDirection;
    }

    public String getMajorDirection() 
    {
        return majorDirection;
    }
    public void setEnrollTotal(Integer enrollTotal) 
    {
        this.enrollTotal = enrollTotal;
    }

    public Integer getEnrollTotal() 
    {
        return enrollTotal;
    }
    public void setAddedTotal(Integer addedTotal) 
    {
        this.addedTotal = addedTotal;
    }

    public Integer getAddedTotal() 
    {
        return addedTotal;
    }
    public void setTwoTotal(Integer twoTotal) 
    {
        this.twoTotal = twoTotal;
    }

    public Integer getTwoTotal() 
    {
        return twoTotal;
    }
    public void setThreeTotal(Integer threeTotal) 
    {
        this.threeTotal = threeTotal;
    }

    public Integer getThreeTotal() 
    {
        return threeTotal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("majorGroup", getMajorGroup())
            .append("majorName", getMajorName())
            .append("majorDirection", getMajorDirection())
            .append("enrollTotal", getEnrollTotal())
            .append("addedTotal", getAddedTotal())
            .append("twoTotal", getTwoTotal())
            .append("threeTotal", getThreeTotal())
            .toString();
    }
}
